			<?php
			
			/**
			 * This is the model class for table "phone_number_group_assignment".
			 *
			 * The followings are the available columns in table 'phone_number_group_assignment':
			 * @property integer $id
			 * @property integer $phone_number_id
			 * @property integer $group_id
			 * @property integer $created_user
			 * @property string $created_date
			 * @property integer $modified_user
			 * @property string $modified_date
			 *
			 * The followings are the available model relations:
			 * @property UsersPhoneNumbers $phoneNumber
			 */
			class assignment extends CActiveRecord
			{
				/**
				 * Returns the static model of the specified AR class.
				 * @param string $className active record class name.
				 * @return assignment the static model class
				 */
				public static function model($className=__CLASS__)
				{
					return parent::model($className);
				}
			
				/**
				 * @return string the associated database table name
				 */
				public function tableName()
				{
					return 'phone_number_group_assignment';
				}
			
				/**
				 * @return array validation rules for model attributes.
				 */
				public function rules()
				{
					// NOTE: you should only define rules for those attributes that
					// will receive user inputs.
					return array(
						array('phone_number_id, group_id, created_date', 'required'),
						array('phone_number_id, group_id, created_user, modified_user', 'numerical', 'integerOnly'=>true),
						array('modified_date', 'safe'),
						// The following rule is used by search().
						// Please remove those attributes that should not be searched.
						array('id, phone_number_id, group_id, created_user, created_date, modified_user, modified_date', 'safe', 'on'=>'search'),
					);
				}
			
				/**
				 * @return array relational rules.
				 */
				public function relations()
				{
					// NOTE: you may need to adjust the relation name and the related
					// class name for the relations automatically generated below.
					return array(
						'phoneNumber' => array(self::BELONGS_TO, 'Subscriber', 'phone_number_id'),
					);
				}
			
				/**
				 * @return array customized attribute labels (name=>label)
				 */
				public function attributeLabels()
				{
					return array(
						'id' => 'ID',
						'phone_number_id' => 'Phone Number',
						'group_id' => 'Group',
						'created_user' => 'Created User',
						'created_date' => 'Created Date',
						'modified_user' => 'Modified User',
						'modified_date' => 'Modified Date',
					);
				}
			
				/**
				 * Retrieves a list of models based on the current search/filter conditions.
				 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
				 */
				public function search()
				{
					// Warning: Please modify the following code to remove attributes that
					// should not be searched.
			
					$criteria=new CDbCriteria;
			
					$criteria->compare('id',$this->id);
					$criteria->compare('phone_number_id',$this->phone_number_id);
					$criteria->compare('group_id',$this->group_id);
					$criteria->compare('created_user',$this->created_user);
					$criteria->compare('created_date',$this->created_date,true);
					$criteria->compare('modified_user',$this->modified_user);
					$criteria->compare('modified_date',$this->modified_date,true);
			
					return new CActiveDataProvider($this, array(
						'criteria'=>$criteria,
					));
				}
			}