<?php

/**
 * UserLoginForm class.
 * LoginForm is the data structure for keeping
 * user login form data. It is used by the 'login ' action of 'userloginController'.
 */
class LoginForm extends CFormModel
{
	public $email;
	

	/**
	 * Declares the validation rules.
	 * The rules state that email

	 */
public function rules()
{
	return array(
		array('email'),
		array('email', 'email'),

	);
}

	/**
	 * Declares attribute labels.
	 */
	public function attributeLabels()
	{
		return array(
			'email'=>'Email Address',
		);
	}

	/**
	 * Authenticates the password.
	 * This is the 'authenticate' validator as declared in rules().
	 */
	public function authenticate($attribute,$params)
	{
		if(!$this->hasErrors())  // we only want to authenticate when no input errors
		{
			$identity=new UserIdentity($this->email);
			$identity->authenticate();
			switch($identity->errorCode)
			{
				case UserIdentity::ERROR_NONE:
					Yii::app()->user->login($identity);
					break;
				case UserIdentity::ERROR_USERNAME_INVALID:
					$this->addError('email','Email address is incorrect.');
					break;
				default: // UserIdentity::ERROR_PASSWORD_INVALID
					$this->addError('password','Password is incorrect.');
					break;
			}
		}
	}
}
